/* calendar class popup button */
.etn-btn {
    background-color: #023f30 !important;
}


.eventin-shortcode-wrapper{
    margin: 70px auto;
}

.cat-dropdown-list{
    display: none;
}

.fc .fc-toolbar.fc-header-toolbar{
    width: 100%;
    max-width: 100%;
    column-gap: 10px;
    padding: 0;
}

.fc .fc-toolbar.fc-header-toolbar .fc-toolbar-title::before{
    content: "Month Of ";
}

.fc .fc-toolbar.fc-header-toolbar .fc-toolbar-chunk:nth-child(2){
    order: 1;
}

.fc .fc-toolbar.fc-header-toolbar .fc-toolbar-chunk:nth-child(1){
    order: 2;
    margin-left: auto;
}

.fc .fc-toolbar.fc-header-toolbar .fc-toolbar-chunk:nth-child(3){
    order: 3;
}

.etn-default-calendar-style .fc-toolbar h2{
    color: var(--secondary-color);
    font-size: 30px !important;
}

.fc .fc-toolbar.fc-header-toolbar .fc-toolbar-chunk .fc-button{
    background: var(--primary-color);
    border-radius: 8px;
    color: #fff;
    font-size: 16px;
    box-shadow: none;
}

.fc .fc-toolbar.fc-header-toolbar .fc-toolbar-chunk .fc-button .fc-icon{
    display: inline-block;
    width: unset;
    height: unset;
    transform: scale(1.6);
}

.etn-default-calendar-style .fc-day a{
    display: block;
}

.etn-default-calendar-style .fc-view{
    border-top: none !important;
}

.etn-default-calendar-style .fc .fc-col-header-cell-cushion, 
.etn-default-calendar-style th.fc-day-header.fc-widget-header{
    background: var(--secondary-color);
    color: #fff;
    text-transform: uppercase;
    line-height: 1;
    font-size: 14px;
    font-weight: 500;
    border-style: solid;
    border-color: #fff;
    border-width: 0 2px;
    height: 60px;
    padding: 0 10px !important;
    display: flex;
    align-items: center;
    justify-content: center;
}

.etn-default-calendar-style .fc-day .fc-daygrid-day-frame{
    background: #d6d9e1;
    color: var(--secondary-color) !important;
    border-style: solid;
    border-color: #fff;
    border-width: 0 2px;
    min-height: 100px !important;
    height: 100% !important;
    padding: 12px !important;
    text-align: left;
    display: block !important;
    width: 100% !important;
    border-radius: 0 !important;
    font-size: 14px;
}

.etn-default-calendar-style .fc-daygrid-bg-harness{
    position: relative !important; 
}

.etn-default-calendar-style .fc-daygrid-day-bg .fc-bg-event{
    position: relative !important;
    display: block !important;
    padding-top: 18px !important;
    background: transparent !important;
    opacity: 1 !important;
}

.etn-default-calendar-style .fc-daygrid-day-bg .fc-bg-event .fc-event-title{
    margin: 0 !important;
    font-style: unset !important;
}

.etn-default-calendar-style .fc-day.fc-day-today .fc-daygrid-day-frame{
    background-color: #FFEB3B !important;
    outline: none !important;
}

.etn-default-calendar-style .fc-daygrid-day-top {
    display: block !important;
    text-align: center !important;
}

.etn-default-calendar-style .fc-daygrid-day-top a {
    border-radius: 0 !important;
    line-height: 1 !important; 
    margin: 0 !important; 
    background: transparent !important;
    height: 100% !important;
    width: 100% !important;
    position: absolute;
    top: 0;
    left: 0;
    text-align: left !important;
    padding: 10px 0 0 10px !important;
}

.etn-default-calendar-style .fc-daygrid-day-top a.fc-state-highlight {
    border: 1px solid var(--primary-color) !important;
    color: var(--primary-color) !important;
}

.related-post-title{
    margin-bottom: 20px;
}

.etn-atend-btn a:hover{
    color: #fff !important;
}

.etn-default-calendar-style table .fc-daygrid-day.fc-day-today, 
.etn-default-calendar-style table tbody>tr:nth-child(2n)>td, 
.etn-default-calendar-style table tbody>tr:nth-child(2n)>th, 
.etn-default-calendar-style table tbody>tr:nth-child(odd)>td, 
.etn-default-calendar-style table tbody>tr:nth-child(odd)>th, 
.etn-default-calendar-style table tbody>tr>td{
    padding: 2px 0 !important;
}

.etn-default-calendar-style .fc .fc-daygrid-bg-harness:first-of-type:before{
    width: 12px !important;
    height: 12px !important;
    left: unset !important;
    right: 12px !important;
    top: 12px !important;
    background: var(--primary-color) !important;
    z-index: 111 !important;
    background: var(--secondary-color) !important;
    display: none !important;
}

.etn-cal-selected-date{
    font-family: var(--frank-font);
    color: var(--secondary-color);
}

.etn-not-found-post{
    font-size: 14px;
}

/* .etn-event-item{
    box-shadow: none !important; 
    padding: 0 !important;
}

.etn-row.etn-event-item > div{
    padding: 0 !important;
} */

.date-selected-calendar-event .etn-event-item .etn-title{
    font-size: 22px !important;
    margin: 10px auto 20px !important;
}

.etn-event-item .etn-event-location,
.etn-event-item .etn-event-duration-date{
    font-size: 12px !important;
}

.calendar-tooltip .etn-event-duration-date, 
.etn-event-item .etn-event-duration-date{
    color: var(--secondary-color) !important;
}

.calendar-tooltip .etn-event-duration-date::before, 
.etn-event-item .etn-event-duration-date::before,
.date-selected-calendar-event .etn-event-item .etn-event-price::before{
    content: "\f017";
    font-family: "Font Awesome 6 Free";
    font-weight: 900;
    display: inline-block;
    margin-right: 4px;
}

.date-selected-calendar-event .etn-event-item .etn-event-price::before{
    content: "\f543";
}

/* Single Event Page */

.etn-event-title-wrap.with-logo img{
    border-radius: 12px;
}

.etn-event-single-content-wrap .etn-single-event-media img{
    border-radius: 22px;
}

.etn-event-single-content-wrap .etn-event-entry-header{
    width: calc(100% - 120px);
}

.etn-event-single-content-wrap .etn-event-title-wrap.with-logo .etn-event-entry-title{
    font-size: 36px;
    margin-top: 10px;
    margin-bottom: 0;
}

.etn-sidebar > div{
    background: #fcf6e2 !important;
    border: none !important;
    border-radius: 10px !important;
    overflow: hidden;
}

.etn-sidebar .etn-widget{
    padding: 25px !important;
}

.etn-single-event-ticket-wrap{
    margin-bottom: 30px;
}

.etn-sidebar .etn-event-meta-info ul li{
    border-color: #e1dabe !important;
    font-size: 14px !important;
}

/*.etn-event-meta-info.etn-widget li::before{*/
/*    content: "";*/
/*    font-family: "Font Awesome 6 Free";*/
/*    font-weight: 900;*/
/*    display: inline-block;*/
/*    margin-right: 5px;*/
/*}*/

/*.etn-event-meta-info.etn-widget li:nth-child(1):before{*/
/*    content: "\f783";*/
/*}*/

/*.etn-event-meta-info.etn-widget li:nth-child(2):before{*/
/*    content: "\f017";*/
/*}*/

/*.etn-event-meta-info.etn-widget li:nth-child(3):before{*/
/*    content: "\f3c5";*/
/*}*/


.etn-calender-list {
    flex-direction: row !important;
    column-gap: 20px;
}

.etn-calender-list li{
    margin: 0 !important;
}

.etn-calender-list a {
    border: 1px solid #e1dabe !important;
    min-width: unset !important;
    padding: 10px !important;
}

.etn-calender-list a .calender-name{
    display: none;
}

.etn-single-event-ticket-wrap .ant-card{
    background: transparent !important;
    border: none !important;
}

.etn-single-event-ticket-wrap .ant-card .etn-ticket-container{
    background: #fff !important;
}

.etn-event-single-content-wrap .etn-single-event-media img{
    width: 100% !important;
}

.etn-event-single-content-wrap .etn-event-meta .etn-event-category{
    margin-bottom: 10px;
}

.etn-event-single-content-wrap .etn-event-meta .etn-event-category>span a{
    border: 0 !important;
    padding: 0 !important;
    color: var(--primary-color) !important;
    font-weight: 600;
    pointer-events: none !important;
}

.etn-event-single-content-wrap .etn-event-meta .etn-event-category>span a:not(:last-child)::after{
    content: ",";
}

.etn-event-tag-list a{
    pointer-events: none !important;
}

.etn-organizer-logo img{
    max-width: 100%;
    height: 100%;
}

.etn-sidebar .etn-widget .etn-social{
    margin-top: 10px;
}

.etn-sidebar .etn-widget .etn-social a.etn-etn-icon{
    color: var(--primary-color);
    margin-right: 10px;
    font-size: 18px;
}

.etn-sidebar .etn-event-organizers .etn-organaizer-item{
    position: relative;
    padding-left: 110px;
    padding-top: 7px !important;
}

.etn-sidebar .etn-event-organizers .etn-organaizer-item .etn-organizer-logo{
    width: 100px !important;
    position: absolute;
    top: 0;
    left: 0;
    border-radius: 12px;
    overflow: hidden;
}

.etn-event-single-content-wrap table th,
.etn-event-single-content-wrap table td {
    padding: 10px 12px;          /* clean padding */
    border: 1px solid #e5e5e5;   /* inner light borders */
}

.etn-event-single-content-wrap table p {
    margin-bottom: 8px;
}

.etn-event-single-content-wrap table strong {
    font-weight: 600;
}

.etn-event-single-content-wrap table p:last-child {
    margin-bottom: 0;
}



/* Events Page */

.etn-event-search-wrapper{
    margin-top: 30px;
}

.etn-event-search-wrapper .input-group{
    padding: 0;
    flex-wrap: nowrap;
    align-items: stretch !important;
}

.etn-event-search-wrapper .input-group input,
.etn-event-search-wrapper .input-group select{
    box-shadow: none !important;
    border: 1px solid #dee2e6 !important;
    border-radius: 8px !important;
    padding: 0 10px !important;
    height: 40px;
    font-size: 14px !important;
    color: var(--text-dark-color) !important;
}

.etn-event-search-wrapper .input-group input::placeholder{
    color: var(--text-dark-color);
}

.etn-event-search-wrapper .input-group input:focus,
.etn-event-search-wrapper .input-group select:focus{
    border-color: var(--primary-color) !important;
}

.etn-event-search-wrapper .input-group .input-group-text{
    height: 100% !important;
}

.etn-event-archive-wrap{
    margin: 50px auto;
}

.etn-event-item .etn-event-thumb img{
    max-width: 100%;
    height: auto !important;
}

.etn-pagination-wrapper {
    margin-top: 30px !important;
}

.etn-pagination-wrapper .nav-links .page-numbers.current, 
.etn-pagination-wrapper .nav-links .page-numbers:hover{
    background: var(--primary-color) !important;
}

.date-selected-calendar-event .etn-event-item{
    padding: 20px !important;
    border-radius: 16px !important;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px !important;
}

.date-selected-calendar-event .etn-cal-selected-date:not(:first-of-type),
.date-selected-calendar-event .etn-cal-selected-date:not(:first-of-type) ~ .etn-event-item,
.etn-event-related-post{
    display: none !important;
}


.etn-event-content-body li{
    margin-top: 10px;
}

.etn-event-content-body blockquote{
    padding: 10px 0 10px 25px;
    border-left: 5px solid var(--secondary-color);
    margin-bottom: 30px !important;
}

.etn-event-content-body blockquote p:last-child{
    margin-bottom: 0;
}

@media only screen and (max-width: 991px) {
    .etn-default-calendar-style .fc-daygrid-day-bg .fc-bg-event .fc-event-title{
        font-size: 9px !important;
    }
}

@media only screen and (max-width: 768px) {
    .events-calendar{
        padding: 50px 0;
    }
    .etn-event-item > div{
        padding: 0 !important;
    }
    .etn-fullcalendar-content{
        margin-bottom: 20px !important;
    }
    .etn-default-calendar-style .fc-toolbar h2{
        font-size: 22px !important;
    }
    .etn-es-events-page-container{
        padding: 50px 0 !important;
    }
    .etn-default-calendar-style .fc .fc-col-header-cell-cushion, 
    .etn-default-calendar-style th.fc-day-header.fc-widget-header{
        font-size: 12px;
        height: 60px;
    }
    .etn-default-calendar-style .fc-daygrid-day-top a{
        font-size: 10px !important;
    }
    .etn-row.etn-event-item .etn-event-content{
        padding-left: 0;
    }
    .etn-default-calendar-style .fc-daygrid-bg-harness .fc-event{
        display: none !important;
    }
    .etn-default-calendar-style .fc .fc-daygrid-bg-harness:first-of-type:before{
        height: 10px !important;
        width: 10px !important;
        top: -3px !important;
        right: -2px !important;
        display: inline-block !important;
    }
}

@media only screen and (max-width: 575px) {
    .eventin-shortcode-wrapper {
        margin: 30px auto;
    }
    .etn-default-calendar-style .fc-day .fc-daygrid-day-frame{
        min-height: 45px !important;
    }
}

@media only screen and (max-width: 425px) {
    .etn-default-calendar-style .fc-toolbar h2{
        font-size: 16px !important;
    }
    .fc .fc-toolbar.fc-header-toolbar .fc-toolbar-chunk .fc-button{
        padding: 0 !important;
    }
    .fc .fc-toolbar.fc-header-toolbar .fc-toolbar-chunk .fc-button .fc-icon{
        transform: scale(1);
    }
    .etn-default-calendar-style .fc .fc-col-header-cell-cushion, 
    .etn-default-calendar-style th.fc-day-header.fc-widget-header {
        font-size: 10px;
        height: 45px;
    }
    .etn-default-calendar-style .fc-daygrid-day-top a{
        padding: 7px 0 0 5px !important;
    }
    .etn-default-calendar-style .fc .fc-daygrid-bg-harness:first-of-type:before{
        height: 7px !important;
        width: 7px !important;
        top: -4px !important;
        right: -6px !important;
    }
    .etn-event-single-content-wrap .etn-event-entry-header {
        width: calc(100% - 20px);
    }
    .etn-event-single-content-wrap .etn-event-entry-title {
        margin-bottom: 20px !important;
        margin-top: 12px !important;
    }
}